import os
import random

from locust import FastHttpUser
from locust.env import Environment


class FeatureStoreUser(FastHttpUser):
    abstract = True

    def __init__(
            self,
            id_file_path: str,
            environment: Environment,
    ):
        # self.host = "http://10.100.80.227"
        # self.headers = {}
        self.host = "" 
        self.headers = {
            "Host": "",
            "Authorization": "ApiKey",
        }
        self.id_file_path = id_file_path
        self.ids = self.load_id_files()
        super().__init__(environment)

    def load_id_files(self):
        with open(self.id_file_path) as f:
            return [line.strip() for line in f]

    def get_filter(self) -> dict:
        raise Exception("Not implemented")

    def get_random_id(self):
        return random.choice(self.ids)
