from locust import task
from locust.env import Environment

from users.base_user import FeatureStoreUser


class FeatureStoreOnlineUser(FeatureStoreUser):
    abstract = True

    def __init__(
        self,
        id_file_path: str,
        environment: Environment,
    ):
        super().__init__(
            id_file_path=id_file_path,
            environment=environment,
        )

    @task
    def query_rest(self):
        data = {"instances": [[self.get_random_id() for i in range(25)]]} 

        self.client.request(
            "POST",
            "/v1/models/searchmodellookup:predict",
            headers=self.headers,
            json=data,
        )